{namespace drk=DRK\DrkSupplyFinder\ViewHelpers}

<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Default"/>

<f:section name="content">
    <div class="tx-supplyfinder tx-supplyfinder-search">
        <header class="header"><h3>{f:translate(id: 'addressResult.form.headline')}</h3></header>
        <f:form id="tx-supplyfinder-form-address" pluginName="SupplyFinderResult" controller="SupplyFinderResult" action="showAddressResult" class="o-form tx-supplyfinder-form" method="get">
            <p>{f:translate(id: 'addressResult.form.description')}</p>
            <div class="form-group">
                <f:form.textfield name="zip" class="o-form__field o-form__field o-form__field--text has-value searchbox" id="tx-supplyfinder-adressen-searchbox" value="{zip}"/>
                <label for="tx-supplyfinder-adressen-searchbox" class="o-form__label">
                    {f:translate(id: 'addressResult.form.adressen_plz.label')}
                </label>
            </div>
            <div class="form-group">
                <f:form.submit name="submit" id="tx-supplyfinder-angebote-small-button-submit"
                               class="button button--primary o-btn o-btn--full"
                               value="{f:translate(id: 'addressResult.form.submit')}"/>
                <f:if condition="{settings.location_search}">
                    <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                        <drk:svgEmbed src="EXT:drk_supply_finder/Resources/Public/Images/icon_gps-indicator.svg" />
                    </a>
                </f:if>
            </div>
        </f:form>

        <div class="tx-supplyfinder-search__result">
            <f:if condition="{organisations}">
                <f:then>
                    <f:if condition="{organisations -> f:count()} == 1">
                        <f:if condition="{settings.open_result}">
                            <drk:singleResult url="{organisations.0.orgURL}"/>
                        </f:if>
                    </f:if>

                    <p>{f:translate(id: 'addressResult.list.headline', arguments: '{0: zip}')}</p>
                    <ul class="tx-supplyfinder-search__result-list">
                        <f:for each="{pagination.paginator.paginatedItems}" as="organisation" iteration="iterator">
                            <f:render partial="OrganisationItem" arguments="{organisation:organisation}" />
                        </f:for>
                    </ul>
                </f:then>

                <f:else>
                    <f:if condition="{zipLengthError}">
                        <f:then>
                            <p><f:format.raw>{f:translate(id: 'addressResult.list.error')}</f:format.raw></p>
                        </f:then>

                        <f:else>
                            <p><f:format.raw>{f:translate(id: 'addressResult.list.noOrganisation')}</f:format.raw></p>
                        </f:else>
                    </f:if>
                </f:else>
            </f:if>
        </div>
    </div>
</f:section>
